@import "animations/keyframes";

.bg-modal {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  z-index: 99;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: rgba(55, 55, 55, 0.5);
  animation: opacityBackgroundIn 1s 1 ease-in;
  &.close-in-progress {
    animation: opacityBackgroundOut 1s 1 ease-in;
  }

  .modal {
    height: auto;
    background-color: white;
    border-radius: 18px;
    box-shadow: 0px 28.4186px 44.2067px rgba(9, 30, 66, 0.15);
    padding: 30px;
    animation: easyInTop 1s 1 ease-in;
    &.close-in-progress {
      animation: easyOutTop 1s 1 ease-in;
    }

    &.big-modal {
      width: 70%;
    }
  }

  .container-close {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 1rem;
    .icon {
      cursor: pointer;
    }
  }
  .container-modal {
    font-size: 14px;
  }
}
